wl_shm_pool(3)

NAME
wl_shm_pool

SYNOPSIS

  Public Member Functions

void wl_shm_pool_unref (struct wl_shm_pool *pool)

  Data Fields

struct wl_resource * resource
int internal_refcount
int external_refcount
char * data
ssize_t size
ssize_t new_size
int mmap_fd
int mmap_flags
int mmap_prot
bool sigbus_is_impossible

Member Function Documentation

  void wl_shm_pool_unref (struct wl_shm_pool * pool)
Unreference a shm_pool

Parameters
    pool The pool object

Drops a reference to a wl_shm_pool object.

This is only necessary if the compositor has explicitly taken a reference with wl_shm_buffer_ref_pool(), otherwise the pool will be automatically destroyed when appropriate.

See also
    wl_shm_buffer_ref_pool

Field Documentation

  char* wl_shm_pool::data

  int wl_shm_pool::external_refcount

  int wl_shm_pool::internal_refcount

  int wl_shm_pool::mmap_fd

  int wl_shm_pool::mmap_flags

  int wl_shm_pool::mmap_prot

  ssize_t wl_shm_pool::new_size

  struct wl_resource* wl_shm_pool::resource

  bool wl_shm_pool::sigbus_is_impossible

  ssize_t wl_shm_pool::size

Author

Generated automatically by Doxygen for Wayland from the source code.